**Wenn Sie einen Reverse Proxy vor mailcow verwenden, lesen Sie bitte unsere [Reverse Proxy Anleitung](../post_installation/reverse-proxy/r_p.md), die eine Umleitung von HTTP auf HTTPS beinhaltet.**

Öffne `mailcow.conf` und setze `HTTP_BIND=` - falls nicht bereits gesetzt.

### Version >= 2025-01a
Öffne `mailcow.conf` und setze `HTTP_REDIRECT=y`.  
Erstellen Sie den Container neu:  
=== "docker compose (Plugin)"

    ``` bash
    docker compose up -d
    ```

=== "docker-compose (Standalone)"

    ``` bash
    docker-compose up -d
    ```

### Version < 2025-01
Erstellen Sie eine neue Datei `data/conf/nginx/redirect.conf` und fügen Sie die folgende Serverkonfiguration in die Datei ein:

```
server {
  root /web;
  listen 80 default_server;
  listen [::]:80 default_server;
  include /etc/nginx/conf.d/server_name.active;
  if ( $request_uri ~* "%0A|%0D" ) { return 403; }
  location ^~ /.well-known/acme-challenge/ {
    allow all;
    default_type "text/plain";
  }
  location / {
    return 301 https://$host$uri$is_args$args;
  }
}
```

Falls Sie den Parameter HTTP_BIND geändert haben, erstellen Sie den Container neu:

=== "docker compose (Plugin)"

    ``` bash
    docker compose up -d
    ```

=== "docker-compose (Standalone)"

    ``` bash
    docker compose up -d
    ```

Andernfalls starten Sie Nginx neu:

=== "docker compose (Plugin)"

    ``` bash
    docker compose restart
    ```

=== "docker-compose (Standalone)"

    ``` bash
    docker compose restart
    ```
